#
# spec file for package offix (Version 2.1.2debian)
# 
# Copyright  (c)  1998  S.u.S.E. GmbH  Fuerth, Germany.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  xpm gpp linuxdoc

Vendor:       S.u.S.E. GmbH, Fuerth, Germany
Distribution: S.u.S.E. Linux 5.3 (i386)
Name:         offix
Release:      15
Copyright:    1996 Csar Crusius, Randolf Werner, Andr Hentz
Group: 
Provides:     offix 
Requires: 
Conflicts:    
Autoreqprov:  on
Packager:     feedback@suse.de

Version:      2.1.2debian
Summary:      some programs with drag and drop features
Source: offix-2.1.orig.tar.gz
Patch: offix_2.1-2.diff.gz
Patch1: offix-2.1.orig.dif
%description
This package contains a clipboard, editor, executor, file manager and a
printer frontend with drag and drop features.

%prep
%setup -n offix-2.1.orig
%patch -p1
%patch -P 1
xmkmf -a
%build
make
(cd Docs; sgml2html *.sgml)
%install
make install
(make install.man ; exit 0)
rm -rf /usr/doc/packages/offix
mkdir -p /usr/doc/packages/offix
install -m 644 README.* /usr/doc/packages/offix
mkdir -p /usr/doc/packages/offix/Docs
install -m 644 Docs/* /usr/doc/packages/offix/Docs
Check
%files
%docdir /usr/X11R6/man
%docdir /usr/openwin/man
%dir /usr/X11R6/include/OffiX
%dir /usr/X11R6/lib/OffiX
%dir /usr/X11R6/lib/X11/app-defaults
%dir /usr/X11R6/pixmaps
%dir /usr/doc/packages/offix
%dir /usr/doc/packages/offix/Docs
/usr/X11R6/bin/clipboard
/usr/X11R6/bin/editor
/usr/X11R6/bin/execute
/usr/X11R6/bin/files
/usr/X11R6/bin/printer
/usr/X11R6/bin/trash
/usr/X11R6/include/OffiX/DragAndDrop.h
/usr/X11R6/include/OffiX/DragAndDropTypes.h
/usr/X11R6/include/OffiX/List.h
/usr/X11R6/include/OffiX/SortedList.h
/usr/X11R6/include/OffiX/Stack.h
/usr/X11R6/include/OffiX/String.h
/usr/X11R6/lib/OffiX/Filesrc
/usr/X11R6/lib/OffiX/editor.help
%config /usr/X11R6/lib/X11/app-defaults/Clipboard
%config /usr/X11R6/lib/X11/app-defaults/Editor
%config /usr/X11R6/lib/X11/app-defaults/Execute
%config /usr/X11R6/lib/X11/app-defaults/Files
%config /usr/X11R6/lib/X11/app-defaults/Printer
%config /usr/X11R6/lib/X11/app-defaults/Trash
/usr/X11R6/lib/libDnd.a
%doc /usr/X11R6/man/man1/clipboard.1x.gz
%doc /usr/X11R6/man/man1/editor.1x.gz
%doc /usr/X11R6/man/man1/files.1x.gz
%doc /usr/X11R6/man/man1/printer.1x.gz
/usr/X11R6/pixmaps/linux_big_calc.xpm
/usr/X11R6/pixmaps/linux_big_ghost.xpm
/usr/X11R6/pixmaps/linux_bomb.xpm
/usr/X11R6/pixmaps/linux_c.xpm
/usr/X11R6/pixmaps/linux_calculator.xpm
/usr/X11R6/pixmaps/linux_compress.xpm
/usr/X11R6/pixmaps/linux_compress_file.xpm
/usr/X11R6/pixmaps/linux_computer.xpm
/usr/X11R6/pixmaps/linux_cpp.xpm
/usr/X11R6/pixmaps/linux_data.xpm
/usr/X11R6/pixmaps/linux_dynamite.xpm
/usr/X11R6/pixmaps/linux_floppy.xpm
/usr/X11R6/pixmaps/linux_ghost.xpm
/usr/X11R6/pixmaps/linux_ghostview.xpm
/usr/X11R6/pixmaps/linux_graph.xpm
/usr/X11R6/pixmaps/linux_h.xpm
/usr/X11R6/pixmaps/linux_info_file.xpm
/usr/X11R6/pixmaps/linux_mail.xpm
/usr/X11R6/pixmaps/linux_make.xpm
/usr/X11R6/pixmaps/linux_man.xpm
/usr/X11R6/pixmaps/linux_mans.xpm
/usr/X11R6/pixmaps/linux_math4.xpm
/usr/X11R6/pixmaps/linux_mixer.xpm
/usr/X11R6/pixmaps/linux_netscape.xpm
/usr/X11R6/pixmaps/linux_notes_color.xpm
/usr/X11R6/pixmaps/linux_rabbit.xpm
/usr/X11R6/pixmaps/linux_small_term.xpm
/usr/X11R6/pixmaps/linux_techdraw.xpm
/usr/X11R6/pixmaps/linux_trash.xpm
/usr/X11R6/pixmaps/linux_xdesigner.xpm
/usr/X11R6/pixmaps/linux_xpaint.xpm
/usr/X11R6/pixmaps/linux_xv.xpm
/usr/X11R6/pixmaps/netsc_small_computer.xpm
/usr/X11R6/pixmaps/win31_2dgraph.xpm
/usr/X11R6/pixmaps/win31_386.xpm
/usr/X11R6/pixmaps/win31_3dbar.xpm
/usr/X11R6/pixmaps/win31_calculator.xpm
/usr/X11R6/pixmaps/win31_camera.xpm
/usr/X11R6/pixmaps/win31_case.xpm
/usr/X11R6/pixmaps/win31_cd.xpm
/usr/X11R6/pixmaps/win31_claquete.xpm
/usr/X11R6/pixmaps/win31_clipbook.xpm
/usr/X11R6/pixmaps/win31_cofre.xpm
/usr/X11R6/pixmaps/win31_config.xpm
/usr/X11R6/pixmaps/win31_desktop.xpm
/usr/X11R6/pixmaps/win31_door.xpm
/usr/X11R6/pixmaps/win31_doorout.xpm
/usr/X11R6/pixmaps/win31_drivers.xpm
/usr/X11R6/pixmaps/win31_dviview.xpm
/usr/X11R6/pixmaps/win31_envelope.xpm
/usr/X11R6/pixmaps/win31_exclamation.xpm
/usr/X11R6/pixmaps/win31_filemanager.xpm
/usr/X11R6/pixmaps/win31_film.xpm
/usr/X11R6/pixmaps/win31_fonts.xpm
/usr/X11R6/pixmaps/win31_handshake.xpm
/usr/X11R6/pixmaps/win31_hearts.xpm
/usr/X11R6/pixmaps/win31_keyboard.xpm
/usr/X11R6/pixmaps/win31_letter.xpm
/usr/X11R6/pixmaps/win31_mailbox.xpm
/usr/X11R6/pixmaps/win31_memo.xpm
/usr/X11R6/pixmaps/win31_minesweeper.xpm
/usr/X11R6/pixmaps/win31_msdos.xpm
/usr/X11R6/pixmaps/win31_mug.xpm
/usr/X11R6/pixmaps/win31_network.xpm
/usr/X11R6/pixmaps/win31_newspaper.xpm
/usr/X11R6/pixmaps/win31_notepad.xpm
/usr/X11R6/pixmaps/win31_paintbrush.xpm
/usr/X11R6/pixmaps/win31_parallel.xpm
/usr/X11R6/pixmaps/win31_phone.xpm
/usr/X11R6/pixmaps/win31_printer.xpm
/usr/X11R6/pixmaps/win31_printer2.xpm
/usr/X11R6/pixmaps/win31_question.xpm
/usr/X11R6/pixmaps/win31_solitaire.xpm
/usr/X11R6/pixmaps/win31_sound.xpm
/usr/X11R6/pixmaps/win31_swiss.xpm
/usr/X11R6/pixmaps/win31_tape.xpm
/usr/X11R6/pixmaps/win31_text.xpm
/usr/X11R6/pixmaps/win31_typewriter.xpm
/usr/X11R6/pixmaps/win31_windows.xpm
/usr/X11R6/pixmaps/win31_world.xpm
/usr/X11R6/pixmaps/win31_write.xpm
/usr/X11R6/pixmaps/win95_block.xpm
/usr/X11R6/pixmaps/win95_computer.xpm
/usr/X11R6/pixmaps/win95_man.xpm
/usr/X11R6/pixmaps/win95_paint.xpm
/usr/X11R6/pixmaps/win95_waste.xpm
%doc /usr/doc/packages/offix/Docs/DragDropHOWTO-1.html
%doc /usr/doc/packages/offix/Docs/DragDropHOWTO-2.html
%doc /usr/doc/packages/offix/Docs/DragDropHOWTO-3.html
%doc /usr/doc/packages/offix/Docs/DragDropHOWTO.dvi
%doc /usr/doc/packages/offix/Docs/DragDropHOWTO.html
%doc /usr/doc/packages/offix/Docs/DragDropHOWTO.sgml
%doc /usr/doc/packages/offix/Docs/DragDropHOWTO.txt
%doc /usr/doc/packages/offix/Docs/Makefile
%doc /usr/doc/packages/offix/README.Clipboard
%doc /usr/doc/packages/offix/README.Editor
%doc /usr/doc/packages/offix/README.Execute
%doc /usr/doc/packages/offix/README.Files
%doc /usr/doc/packages/offix/README.Printer
%doc /usr/doc/packages/offix/README.Trash
%doc /usr/doc/packages/offix/README.patches

